import { IElementsService } from './IElementsService.js';
import { IElementsJson } from './IElementsJson.js';
import { IElementDefinition } from './IElementDefinition.js';
export declare class PreDefinedElementsService implements IElementsService {
    private _name;
    get name(): string;
    private _elementList;
    getElements(): Promise<IElementDefinition[]>;
    constructor(name: string, data: IElementsJson);
    private isIElementDefintion;
}
